# Order Object

| No | Name                   | Type                                                                          | Mandatory | Min Length | Max Length | Description                                           |
| -- | ---------------------- | ----------------------------------------------------------------------------- | --------- | ---------- | ---------- | ----------------------------------------------------- |
| 1  | id                     | Alpha Dash                                                                    | M         | 1          | 30         | Id on Order                                           |
| 2  | amount                 | Numeric                                                                       | C         | 1          | 14         | Amount on Order.                                      |
| 3  | currency               | String                                                                        | O         | 3          | 3          | Default IDR                                           |
| 4  | description            | String                                                                        | C         | 1          | 127        | Description on Order                                  |
| 5  | timeout                | Numeric                                                                       | O         | 1          | 8          | Timeout Order in minute Default value is 1.440 minute |
| 6  | itemAmount             | Numeric                                                                       | O         | 1          | 14         | Item Amount on Order                                  |
| 7  | localTaxRegistrationId | String                                                                        | O         | 1          | 25         | Local Tax Registration Id on Order                    |
| 8  | merchantCategoryCode   | String                                                                        | O         | 4          | 4          | Merchant Category Code on Order                       |
| 9  | surchargeAmount        | String                                                                        | O         | 1          | 14         | Surcharge Amount on Order                             |
| 10 | item                   | [Array](/api-reference/appendix/json-object/order-item-object.md)             | O         | 1          | 100        | Item on Order                                         |
| 11 | transactionFiltering   | [Object](/api-reference/appendix/json-object/transaction-filtering-object.md) | O         | 1          | 3          | Transaction Filtering on Order                        |

```
"order": {
  "id": "ABC23",
  "amount": "1000",
  "description": "Testing",
  "itemAmount": "900",
  "localTaxRegistrationId": "1234",
  "merchantCategoryCode": "1234",
  "surchargeAmount": "100",
  "item": [
    {
      "brand": "brand1",
      "category": "category",
      "description": "description",
      "industryCategory": "industryCategory",
      "name": "name",
      "quantity": "1",
      "sku": "sku",
      "unitDiscountAmount": "100",
      "unitOfMeasure": "1",
      "unitPrice": "100",
      "unitTaxAmount": "100"
    },
    {
      "brand": "brand2",
      "category": "category",
      "description": "description",
      "industryCategory": "industryCategory",
      "name": "name",
      "quantity": "1",
      "sku": "sku",
      "unitDiscountAmount": "100",
      "unitOfMeasure": "1",
      "unitPrice": "100",
      "unitTaxAmount": "100"
    }
  ]
  }
},
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/appendix/json-object/order-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
